﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Schedules;
using System.Collections.ObjectModel;

namespace SimpleWeekSchedule
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
        ObservableCollection<Task> tasks = new ObservableCollection<Task>();

        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });


            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });            

            dataConnector.TimeZoneInfoProviderResolved.LocalTimeZoneId = "UTC";
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.TaskItemsSource = tasks;
            dataManager.ActivityAdding += new EventHandler<ActivityAddingEventArgs>(dataManager_ActivityAdding);
        }

        void dataManager_ActivityAdding(object sender, ActivityAddingEventArgs e)
        {
            if (e.Activity.Start.Hour == 12)
            {
                e.Cancel = true;
            }
        }
    }
}
